# Class CIM_BIOSString
extends CIM_BIOSAttribute

The CIM_BIOSString object may be used to instantiate string-based BIOS attributes.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_BIOSAttribute
|
+--CIM_BIOSString

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The CIM_BIOSString object may be used to instantiate string-based BIOS attributes.
UMLPackagePath | string | CIM::System::BIOS
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MaxLength | uint64 |
Description | string | This property specifies the maximum string length allowed when modifying this BIOS attribute. A value of NULL defines the maximum length is unknown. A value of 0 defines the maximum length as 18446744073709551615, the limitation of the property definition as uint64.
ModelCorrespondence | string | CIM_BIOSString.MinLength
MinLength | uint64 |
Description | string | This property specifies the minimum string length allowed when modifying this BIOS attribute. A value of NULL SHALL be defined as zero.
ModelCorrespondence | string | CIM_BIOSString.MaxLength
StringType | uint32 |

Description

string

The StringType property provides management applications with information defining implementation's capabilities regarding string values. A value of ASCII indicates a plain text formatting with no tabs formating or bolds, plain text. A value of hex indicates a simple encoding of the numerals 0 to 9 and the letters A to F and is not case sensitive. A value of unicode indicates fully multi-lingual text support. A string BIOS Attribute with value of regex is a regular expression and the CIM_BIOSString.ValueExpression shall be applied to values represented and any value that is attempted to be set by invoking SetBIOSAttribute().

ValueMap | string | 0, 2, 3, 4, 5, .., 65536..4294967295
Values | string | Unknown, ASCII, hex, unicode, regex, DMTF Reserved, Vendor Reserved
ValueExpression | string |
Description | string | The property denotes a Perl-compatible regular expression (PCRE) syntax to use in validating Attribute values. For a string Attribute where StringType="regex" this property shall have a value.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AttributeName | string | CIM_BIOSAttribute
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_BIOSAttribute
IsOrderedList | boolean | CIM_BIOSAttribute
IsReadOnly | boolean | CIM_BIOSAttribute
CurrentValue | string[] | CIM_BIOSAttribute
DefaultValue | string[] | CIM_BIOSAttribute
PendingValue | string[] | CIM_BIOSAttribute

## Class Methods